<?php
/**
 * All settings related to footer recommended post.
 *
 * @package FitNote
 */
$wp_customize->add_section(
    'article_list_post',
    array(
        'title' => esc_html__('Article List Section', 'fitnote'),
        'panel' => 'front_page_theme_options_panel',
    )
);
$wp_customize->add_setting(
    'fitnote_options[enable_article_list_post]',
    array(
        'default' => $fitnote_default['enable_article_list_post'],
        'sanitize_callback' => 'fitnote_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'fitnote_options[enable_article_list_post]',
    array(
        'label' => esc_html__('Enable Article List Post', 'fitnote'),
        'section' => 'article_list_post',
        'type' => 'checkbox',
    )
);
$wp_customize->add_setting(
    'fitnote_options[article_list_title]',
    array(
        'default' => $fitnote_default['article_list_title'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'fitnote_options[article_list_title]',
    array(
        'label' => __('Section Title', 'fitnote'),
        'section' => 'article_list_post',
        'type' => 'text',
    )
);
$wp_customize->add_setting(
    'fitnote_section_seperator_article_list_1',
    array(
        'default' => '',
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    )
);
$wp_customize->add_control(
    new FitNote_Seperator_Control(
        $wp_customize,
        'fitnote_section_seperator_article_list_1',
        array(
            'label' => esc_html__('Article List Column - 1', 'fitnote'),
            'settings' => 'fitnote_section_seperator_article_list_1',
            'section' => 'article_list_post',
        )
    )
);
$wp_customize->add_setting(
    'fitnote_options[article_list_post_category_1]',
    array(
        'default' => $fitnote_default['article_list_post_category_1'],
        'sanitize_callback' => 'absint',
    )
);
$wp_customize->add_control(
    new FitNote_Dropdown_Taxonomies_Control(
        $wp_customize,
        'fitnote_options[article_list_post_category_1]',
        array(
            'label' => __('Choose Column - 1 Category', 'fitnote'),
            'description' => __('Leave Empty if you don\'t want the posts to be category specific', 'fitnote'),
            'section' => 'article_list_post',
        )
    )
);
$wp_customize->add_setting(
    'fitnote_options[article_list_post_1_offset]',
    array(
        'default' => $fitnote_default['article_list_post_1_offset'],
        'sanitize_callback' => 'absint',
    )
);
$wp_customize->add_control(
    'fitnote_options[article_list_post_1_offset]',
    array(
        'label' => __('Article List Post Offset', 'fitnote'),
        'section' => 'article_list_post',
        'type' => 'number',
    )
);
$wp_customize->add_setting(
    'fitnote_section_seperator_article_list_3',
    array(
        'default' => '',
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    )
);
$wp_customize->add_control(
    new FitNote_Seperator_Control(
        $wp_customize,
        'fitnote_section_seperator_article_list_3',
        array(
            'label' => esc_html__('Article List Column - 2', 'fitnote'),
            'settings' => 'fitnote_section_seperator_article_list_3',
            'section' => 'article_list_post',
        )
    )
);
$wp_customize->add_setting(
    'fitnote_options[article_list_post_category_3]',
    array(
        'default' => $fitnote_default['article_list_post_category_3'],
        'sanitize_callback' => 'absint',
    )
);
$wp_customize->add_control(
    new FitNote_Dropdown_Taxonomies_Control(
        $wp_customize,
        'fitnote_options[article_list_post_category_3]',
        array(
            'label' => __('Choose Column - 2 Category', 'fitnote'),
            'description' => __('Leave Empty if you don\'t want the posts to be category specific', 'fitnote'),
            'section' => 'article_list_post',
        )
    )
);
$wp_customize->add_setting(
    'fitnote_options[article_list_post_3_offset]',
    array(
        'default' => $fitnote_default['article_list_post_3_offset'],
        'sanitize_callback' => 'absint',
    )
);
$wp_customize->add_control(
    'fitnote_options[article_list_post_3_offset]',
    array(
        'label' => __('Article List Post Offset', 'fitnote'),
        'section' => 'article_list_post',
        'type' => 'number',
    )
);
$wp_customize->add_setting(
    'fitnote_section_seperator_article_list_meta',
    array(
        'default' => '',
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    )
);
$wp_customize->add_control(
    new FitNote_Seperator_Control(
        $wp_customize,
        'fitnote_section_seperator_article_list_meta',
        array(
            'label' => esc_html__('Article List Meta Option', 'fitnote'),
            'settings' => 'fitnote_section_seperator_article_list_meta',
            'section' => 'article_list_post',
        )
    )
);
$wp_customize->add_setting(
    'fitnote_options[enable_article_list_post_author_meta]',
    array(
        'default' => $fitnote_default['enable_article_list_post_author_meta'],
        'sanitize_callback' => 'fitnote_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'fitnote_options[enable_article_list_post_author_meta]',
    array(
        'label' => esc_html__('Display Author Meta', 'fitnote'),
        'section' => 'article_list_post',
        'type' => 'checkbox',
    )
);
$wp_customize->add_setting(
    'fitnote_options[select_article_list_post_author_meta]',
    array(
        'default' => $fitnote_default['select_article_list_post_author_meta'],
        'sanitize_callback' => 'fitnote_sanitize_select',
    )
);
$wp_customize->add_control(
    'fitnote_options[select_article_list_post_author_meta]',
    array(
        'label' => esc_html__('Select Author Meta', 'fitnote'),
        'section' => 'article_list_post',
        'type' => 'select',
        'choices' => fitnote_author_meta(),
    )
);
$wp_customize->add_setting(
    'fitnote_options[article_list_post_author_meta_title]',
    array(
        'default' => $fitnote_default['article_list_post_author_meta_title'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'fitnote_options[article_list_post_author_meta_title]',
    array(
        'label' => __('Author Meta Text', 'fitnote'),
        'section' => 'article_list_post',
        'type' => 'text',
    )
);
$wp_customize->add_setting(
    'fitnote_options[enable_article_list_post_date_meta]',
    array(
        'default' => $fitnote_default['enable_article_list_post_date_meta'],
        'sanitize_callback' => 'fitnote_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'fitnote_options[enable_article_list_post_date_meta]',
    array(
        'label' => esc_html__('Display Published Date', 'fitnote'),
        'section' => 'article_list_post',
        'type' => 'checkbox',
    )
);
$wp_customize->add_setting(
    'fitnote_options[select_article_list_post_date]',
    array(
        'default' => $fitnote_default['select_article_list_post_date'],
        'sanitize_callback' => 'fitnote_sanitize_select',
    )
);
$wp_customize->add_control(
    'fitnote_options[select_article_list_post_date]',
    array(
        'label' => esc_html__('Select Date Meta', 'fitnote'),
        'section' => 'article_list_post',
        'type' => 'select',
        'choices' => fitnote_date_meta(),
    )
);
$wp_customize->add_setting(
    'fitnote_options[select_article_list_post_date_meta_title]',
    array(
        'default' => $fitnote_default['select_article_list_post_date_meta_title'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'fitnote_options[select_article_list_post_date_meta_title]',
    array(
        'label' => __('Date Meta Text', 'fitnote'),
        'section' => 'article_list_post',
        'type' => 'text',
    )
);
$wp_customize->add_setting(
    'fitnote_options[select_article_list_post_date_format]',
    array(
        'default' => $fitnote_default['select_article_list_post_date_format'],
        'sanitize_callback' => 'fitnote_sanitize_select',
    )
);
$wp_customize->add_control(
    'fitnote_options[select_article_list_post_date_format]',
    array(
        'label' => esc_html__('Select Date Format', 'fitnote'),
        'section' => 'article_list_post',
        'type' => 'select',
        'choices' => fitnote_get_date_formats(),
    )
);
$wp_customize->add_setting(
    'fitnote_options[enable_article_list_post_category_meta]',
    array(
        'default' => $fitnote_default['enable_article_list_post_category_meta'],
        'sanitize_callback' => 'fitnote_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'fitnote_options[enable_article_list_post_category_meta]',
    array(
        'label' => esc_html__('Enable Category Meta', 'fitnote'),
        'section' => 'article_list_post',
        'type' => 'checkbox',
    )
);
$wp_customize->add_setting(
    'fitnote_options[select_article_list_post_number_of_category]',
    array(
        'default' => $fitnote_default['select_article_list_post_number_of_category'],
        'sanitize_callback' => 'absint',
    )
);
$wp_customize->add_control(
    'fitnote_options[select_article_list_post_number_of_category]',
    array(
        'label' => __('Number of Category', 'fitnote'),
        'section' => 'article_list_post',
        'type' => 'number',
    )
);
$wp_customize->add_setting(
    'fitnote_options[article_list_post_category_label]',
    array(
        'default' => $fitnote_default['article_list_post_category_label'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'fitnote_options[article_list_post_category_label]',
    array(
        'label' => __('Category Label', 'fitnote'),
        'section' => 'article_list_post',
        'type' => 'text',
    )
);
$wp_customize->add_setting(
    'fitnote_options[select_article_list_post_category_color]',
    array(
        'default' => $fitnote_default['select_article_list_post_category_color'],
        'sanitize_callback' => 'fitnote_sanitize_select',
    )
);
$wp_customize->add_control(
    'fitnote_options[select_article_list_post_category_color]',
    array(
        'label' => esc_html__('Select Category Color', 'fitnote'),
        'section' => 'article_list_post',
        'type' => 'select',
        'choices' => fitnote_category_color(),
    )
);